<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau: Référence de la structure global_data</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="structglobal__data-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la structure global_data</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="gdata_8hpp_source.html">gdata.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:a5286e964937343115aebb48fd116c004"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structglobal__data.html#a5286e964937343115aebb48fd116c004">filepath</a></td></tr>
<tr class="separator:a5286e964937343115aebb48fd116c004"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fb4fc96f3ea35e2107f728faa010530"><td class="memItemLeft" align="right" valign="top">GtkWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structglobal__data.html#a4fb4fc96f3ea35e2107f728faa010530">window</a></td></tr>
<tr class="separator:a4fb4fc96f3ea35e2107f728faa010530"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6104ca34e17809883bd4549474bbdb7"><td class="memItemLeft" align="right" valign="top">GtkWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structglobal__data.html#af6104ca34e17809883bd4549474bbdb7">draw_area</a></td></tr>
<tr class="separator:af6104ca34e17809883bd4549474bbdb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29f5422d00442f4cf611cc55b2f094ff"><td class="memItemLeft" align="right" valign="top">RsvgHandle *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structglobal__data.html#a29f5422d00442f4cf611cc55b2f094ff">svg_handle</a></td></tr>
<tr class="separator:a29f5422d00442f4cf611cc55b2f094ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd8359b2412e180a4aede926ba81a3ec"><td class="memItemLeft" align="right" valign="top">XMLDocument *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structglobal__data.html#abd8359b2412e180a4aede926ba81a3ec">svg_document</a></td></tr>
<tr class="separator:abd8359b2412e180a4aede926ba81a3ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac43f1ea601c065459114c70089e43d57"><td class="memItemLeft" align="right" valign="top">map&lt; string, XMLElement * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structglobal__data.html#ac43f1ea601c065459114c70089e43d57">svg_driven</a></td></tr>
<tr class="separator:ac43f1ea601c065459114c70089e43d57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e4c98265125000c3e1d9b9d5505624a"><td class="memItemLeft" align="right" valign="top">map&lt; string, string &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structglobal__data.html#a1e4c98265125000c3e1d9b9d5505624a">client_data</a></td></tr>
<tr class="separator:a1e4c98265125000c3e1d9b9d5505624a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aeb1d5c8a59ecd3c81742763c2c4089"><td class="memItemLeft" align="right" valign="top">map&lt; string, pthread_t * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structglobal__data.html#a5aeb1d5c8a59ecd3c81742763c2c4089">parseur_threads</a></td></tr>
<tr class="separator:a5aeb1d5c8a59ecd3c81742763c2c4089"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34a4b1f3b213efc91ac33ce1754412b1"><td class="memItemLeft" align="right" valign="top">int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structglobal__data.html#a34a4b1f3b213efc91ac33ce1754412b1">error</a></td></tr>
<tr class="separator:a34a4b1f3b213efc91ac33ce1754412b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="gdata_8hpp_source.html#l00050">50</a> du fichier <a class="el" href="gdata_8hpp_source.html">gdata.hpp</a>.</p>
</div><h2 class="groupheader">Documentation des données membres</h2>
<a id="a1e4c98265125000c3e1d9b9d5505624a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e4c98265125000c3e1d9b9d5505624a">&#9670;&nbsp;</a></span>client_data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">map&lt;string, string&gt;* global_data::client_data</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Tableau des identifiants et nouvelles valeurs transmises sur le réseau. </p>

<p class="definition">Définition à la ligne <a class="el" href="gdata_8hpp_source.html#l00057">57</a> du fichier <a class="el" href="gdata_8hpp_source.html">gdata.hpp</a>.</p>

</div>
</div>
<a id="af6104ca34e17809883bd4549474bbdb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6104ca34e17809883bd4549474bbdb7">&#9670;&nbsp;</a></span>draw_area</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GtkWidget* global_data::draw_area</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Zone de dessin. </p>

<p class="definition">Définition à la ligne <a class="el" href="gdata_8hpp_source.html#l00053">53</a> du fichier <a class="el" href="gdata_8hpp_source.html">gdata.hpp</a>.</p>

</div>
</div>
<a id="a34a4b1f3b213efc91ac33ce1754412b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34a4b1f3b213efc91ac33ce1754412b1">&#9670;&nbsp;</a></span>error</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* global_data::error</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Indicateur d'erreur. </p>

<p class="definition">Définition à la ligne <a class="el" href="gdata_8hpp_source.html#l00059">59</a> du fichier <a class="el" href="gdata_8hpp_source.html">gdata.hpp</a>.</p>

</div>
</div>
<a id="a5286e964937343115aebb48fd116c004"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5286e964937343115aebb48fd116c004">&#9670;&nbsp;</a></span>filepath</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* global_data::filepath</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Chemin d'accès à la resource SVG. </p>

<p class="definition">Définition à la ligne <a class="el" href="gdata_8hpp_source.html#l00051">51</a> du fichier <a class="el" href="gdata_8hpp_source.html">gdata.hpp</a>.</p>

</div>
</div>
<a id="a5aeb1d5c8a59ecd3c81742763c2c4089"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5aeb1d5c8a59ecd3c81742763c2c4089">&#9670;&nbsp;</a></span>parseur_threads</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">map&lt;string, pthread_t*&gt;* global_data::parseur_threads</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Tableau des threads de parsage pour chaque identifiant. </p>

<p class="definition">Définition à la ligne <a class="el" href="gdata_8hpp_source.html#l00058">58</a> du fichier <a class="el" href="gdata_8hpp_source.html">gdata.hpp</a>.</p>

</div>
</div>
<a id="abd8359b2412e180a4aede926ba81a3ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd8359b2412e180a4aede926ba81a3ec">&#9670;&nbsp;</a></span>svg_document</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">XMLDocument* global_data::svg_document</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Représentation de la resource SVG en objet. </p>

<p class="definition">Définition à la ligne <a class="el" href="gdata_8hpp_source.html#l00055">55</a> du fichier <a class="el" href="gdata_8hpp_source.html">gdata.hpp</a>.</p>

</div>
</div>
<a id="ac43f1ea601c065459114c70089e43d57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac43f1ea601c065459114c70089e43d57">&#9670;&nbsp;</a></span>svg_driven</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">map&lt;string, XMLElement*&gt;* global_data::svg_driven</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Tableau des identifiants et de driven. </p>

<p class="definition">Définition à la ligne <a class="el" href="gdata_8hpp_source.html#l00056">56</a> du fichier <a class="el" href="gdata_8hpp_source.html">gdata.hpp</a>.</p>

</div>
</div>
<a id="a29f5422d00442f4cf611cc55b2f094ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29f5422d00442f4cf611cc55b2f094ff">&#9670;&nbsp;</a></span>svg_handle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RsvgHandle* global_data::svg_handle</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Dessin du document SVG. </p>

<p class="definition">Définition à la ligne <a class="el" href="gdata_8hpp_source.html#l00054">54</a> du fichier <a class="el" href="gdata_8hpp_source.html">gdata.hpp</a>.</p>

</div>
</div>
<a id="a4fb4fc96f3ea35e2107f728faa010530"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fb4fc96f3ea35e2107f728faa010530">&#9670;&nbsp;</a></span>window</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GtkWidget* global_data::window</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fenêtre graphique. </p>

<p class="definition">Définition à la ligne <a class="el" href="gdata_8hpp_source.html#l00052">52</a> du fichier <a class="el" href="gdata_8hpp_source.html">gdata.hpp</a>.</p>

</div>
</div>
<hr/>La documentation de cette structure a été générée à partir du fichier suivant :<ul>
<li>include/module/<a class="el" href="gdata_8hpp_source.html">gdata.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
